package br.mp.mprj.portal.portlet.gestaomensagens.enums;

public enum TipoListaEnum {

	DESTINATARIO("Destinatário"),
	CONTA_SAIDA("Conta de Envio");
	
	private String descricao;
	
	TipoListaEnum(String descricao) {
		this.descricao = descricao;
	}
	
	public String getDescricao() {
		return descricao;
	}
	
	public int getId() {
		return this.ordinal();
	}
	
	public TipoListaEnum getTipoLista(int id) {
		for (TipoListaEnum tipo : values()) {
			if (tipo.getId() == id) {
				return tipo;
			}
		}
		return null;
	}
	
}
